/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
*   @desc   : 表格筛选组件
*   @author : 周兴
*   @date   : 2022/3/26 17:04
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
import Vue from 'vue'
import ModalTableFilter from './modal_table_filter.vue'

const messageBox = Vue.extend(ModalTableFilter)
ModalTableFilter.install = function (options,{ok,cancel}) {
  let instance = new messageBox({
    data: Object.assign(options,{okFunc:ok,cancelFunc:cancel})
  }).$mount()
  document.body.appendChild(instance.$el)

  Vue.nextTick(() => {
    instance.visible = true
  })
}

export default ModalTableFilter
